Subject: Re: SATA FSL and upstreaming

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 07 Jun 2013 14:47:06 +1000

On Fri, 2013-06-07 at 04:45 +0000, Zang Roy-R61911 wrote:
> 
> > Forget it, reset all the jumpers to the default setup (found the doc !)
> > and they come up now in slot 4 and 7. It also looks like uBoot now has an
> > e1000 driver so I don't have to use fman (for which I believe there is
> > still no upstream driver right ?)

> fman in u-boot has been up streamed.  It should work.

I don't care much about u-boot :-) It's the kernel that matters to me.

> > 
> > BTW. Is that normal during boot ?
> > 
> > Net:   Initializing Fman
> > Fman1: Uploading microcode version 106.1.7 PHY reset timed out PHY reset
> > timed out PHY reset timed out PHY reset timed out
> You can ignore the timeout. 
> Do you plug other card (for example SGMII card) on the board?

No, only PCIe in slot 4 and 7.

> u-boot detects some card in the slot and tries to init the PHY but fails.

Cheers,
Ben.